<?php

namespace Entities;

use Doctrine\ORM\Mapping as ORM;

/**
 * Entities\Picture
 */
class Picture
{
    /**
     * @var integer $id
     */
    protected $id;

    /**
     * @var Entities\Resource
     */
    protected $resource;


    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set resource
     *
     * @param Entities\Resource $resource
     * @return Picture
     */
    public function setResource(\Entities\Resource $resource = null)
    {
        $this->resource = $resource;
        return $this;
    }

    /**
     * Get resource
     *
     * @return Entities\Resource 
     */
    public function getResource()
    {
        return $this->resource;
    }
}